/*
 * This file is part of the Scandit Data Capture SDK
 *
 * Copyright (C) 2024- Scandit AG. All rights reserved.
 */

#import <UIKit/UIKit.h>

#import <ScanditCaptureCore/SDCScanditIcon.h>
#import <ScanditCaptureCore/SDCBase.h>

NS_ASSUME_NONNULL_BEGIN

SDC_EXPORTED_SYMBOL
NS_SWIFT_NAME(ScanditIconBuilder)
@interface SDCScanditIconBuilder : NSObject

- (SDCScanditIconBuilder *)withIcon:(nullable SDCScanditIconType)icon;
- (SDCScanditIconBuilder *)withIconColor:(nullable UIColor *)color;
- (SDCScanditIconBuilder *)withBackgroundColor:(nullable UIColor *)color;
- (SDCScanditIconBuilder *)withBackgroundStrokeColor:(nullable UIColor *)color
    NS_SWIFT_NAME(withBackgroundStrokeColor(_:));
- (SDCScanditIconBuilder *)withBackgroundStrokeWidth:(CGFloat)width;
- (SDCScanditIconBuilder *)withBackgroundShape:(nullable SDCScanditIconShape)shape;
- (SDCScanditIcon *)build;

@end

NS_ASSUME_NONNULL_END
